Mar 19, 2012

DraftSight and Ubuntu 12.04 LTS 64bit

Ubuntu 12.04 LTS will be released on April 26 with some important and useful features like multiarch-support. However some 32bit packages still have installation problems on 64bit systems because they don't follow the new specifications. One of the packages that need some tricks in order to install it on a 64 bit Ubuntu 12.04 system is the current V1R1.4 of DraftSight.
Normally I wouldn't provide any workarounds for beta or experimental versions of Ubuntu or any other distro  for one simple reason: If a distro is under active development many things will be changed until the final release.
But thanks to Normand who informed me in this post that some users are already trying to install DraftSight on Ubuntu 12.04 LTS and considering that the development status is nearly at the end, I will make an exception.
So here are the instructions, don't be afraid of the number of steps, it's  really a very easy process.
Important Update (January 21 2014): DraftSight with version V1R5 changed the list of its dependencies so this workaround cannot be used "as is". However it continues to be useful because you have to follow the same process in order to install DraftSight successfully on your 64 bit Ubuntu 12.04 and newer system. The only change is that on Step 5 you have to remove xdg-utils from the list of dependencies.
Step 1:
Download Draftsight and make a copy of draftsight.deb in your Home folder. A copy is needed because you will make some changes in the .deb file so keep the original file as a backup. Just a right click on draftsight.deb and select copy to Home folder and you're ready.


Step 2:
Open a terminal simply by pressing Ctrl+Alt+T and type:
ar x draftSight.deb control.tar.gz
This command extracts the control.tar.gz compressed archive from the .deb file. Keep the terminal open you will use it for one more time.
Step 3:
Extract the control.tar.gz compressed archive to your home folder. From Nautilus right click on it and select "Extract here". You will see a folder named "control"  inside your Home folder.

Step 4:
Open the control folder and then the control file inside it with gedit (Text Editor).
Step 5:
Now you must be careful! You have to delete from the list of dependencies libdirectfb-extra. Simply select with the mouse: "libdirectfb-extra (>=1.2.7-2)" the space before it and the comma after it in order to keep the correct syntax (see the screenshot below). Save the file and close gedit.
Step 6: 
From Nautilus select all the contents of the control folder ( Simply press Ctrl+A), right click on one of the selected items and select "Compress".
Step 7:
In the dialog box that opens select as "Location" your Home folder.
Step 8:
You will see a warning that a file with the same name already exists. Select to overwrite it.
Step 9:
Go back to your open terminal and type:
ar r draftSight.deb control.tar.gz
This command will put back the modified control.tar.gz compressed archive into your draftsight.deb file

Step 10:
Right click on your modified draftsight.deb file and select "Open with Gdebi Package Installer". If you don't have gdebi already installed, install it because DraftSight's installation is successful only with gdebi.(or via terminal with dpkg but this is more complicated for new users :-) )
Step 11: 
Install DraftSight. Normally you will not take any error messages.
Step 12:
DraftSight still needs some extra software in order to run. So install with Ubuntu Software Center or Synaptic ia32-libs  and libdirectfb-extra.

Enjoy DraftSight on Ubuntu 12.04 LTS 64bit!


147 comments:

  1. So you don't need to install ia32-libs anymore?

    Thanks for that very detailed explanation.

    ReplyDelete
  2. Without ia32-libs DraftSight will not run. However this package is actually no longer needed if you try to find (with ldd) which of these 32bit libraries are necessary and put them into the dependencies list.
    Dassault should spend a few hours or minutes in order to make a correct dependencies list.

    ReplyDelete
  3. Hi, thank you for your workaround. A another way I found is change in the control file the Architecture from i386 to all. So it's not necessary to delete the libdirectfb-extra (>=1.2.7-2).
    Could you find out which 32bit libraries exactly we need, because on my system the ia32-lib installed 259 packages!
    Greetings Heiko

    ReplyDelete
    Replies
    1. hi I'm Jorge, I did it and it works well.

      Delete
    2. Hi, I am Tommaselli.
      I have been messing around like a fool, trying all the manners to install this great piece of software. No way to perform such task. Fortunately, the above tutorial was awesome! Perfect! It works greatly on may LMDE 13 maya.
      I would like to express my deepest regards to these guys. Nothings compare to person who have "savoir fair" or "know how".
      Congratulations!!!!!!!

      Delete
    3. I can confirm too this workaround for Ubuntu 12.04 LTS 64 bits: Architecture was switched to all. Great tutorial and fix!

      Delete
  4. Changing the Architecture to all may work if you're lucky.
    It isn't the recommended way to install 32bit packages on a 64bit system with the new multi-arch dpkg.
    I'll give a try to find exactly the necessary 32bit libraries, it will be very useful.

    ReplyDelete
    Replies
    1. Spyros M. how can I remove DraftSight from Ubuntu 12.04. I haven't installed either ia32-libs or libdirectfb-extras. Draftsight wont load (produces an error), but it is visible on Ubuntu Software Center.
      Thanks in advance

      Delete
    2. I have the same problem. I install it on Kubuntu 12.04 64bits. I could only install it changing the Architecture to all. But it didn't run... no error is shown simply it didn't start. I didn't check the error log yet.

      Delete
  5. Brilliant - works for me!

    Thanks for the helpful instructions.

    ReplyDelete
  6. Cannot get this to work on my ubuntu 12.04 system. Draftsight installs OK as per these steps (very good HOWTO btw :) then fails with an error message "Failed to load modules. The application will close. Please reinstall the application." when an attempt to run it is made - also true when trying to run it as root. I'm thinking it's possibly something to do with my graphics card drivers (ati fglrx) - although I've tried the open source alternative drivers with the same message being displayed.

    ReplyDelete
    Replies
    1. I have the same exact problem did you find solution email me christianruizing@gmail.com

      Delete
    2. You don't have the ia32-libs installed. Please install it and you will get DS working.

      Delete
    3. I found the problem it works I cant believe it.
      okay this is what you have to do.

      sudo apt-get install ia32-libs

      you have to install this first then you install

      sudo apt-get install libdirectfb-extra libxcb-render-util0

      Delete
    4. thank you. it works.

      Delete
    5. "AnonymousMay 3, 2012 3:17 PM
      I found the problem it works I cant believe it.
      okay this is what you have to do.

      sudo apt-get install ia32-libs

      you have to install this first then you install

      sudo apt-get install libdirectfb-extra libxcb- render-util0"


      I had done all the steps on ubuntu 64bit 12.10 and it didn't work.With these two extra steps it works.Thanks!

      Delete
  7. You forgot the last step. The manual installation of ia-32libs and libdirectfb-extra.

    ReplyDelete
  8. Hi,

    Installed on 3 Ubuntu 32 bit machines. Works like a charm on first 2, for last couple of months. On 3rd machine will only run as root. Noticed that Gdebi installed files with Root as owner and rights, but I installed it from my account. Tried changing access permission to include my account, and applied to all files below /opt/dass.... but to no avail.

    What to do? Thx!

    ReplyDelete
  9. Do you have a custom gtk theme? Some of these themes cause errors on DraftSight. Try to open DraftSight from terminal with the command:
    /opt/dassault-systemes/draftsight/bin/draftsight -style plastique
    and see if it opens correctly.

    ReplyDelete
  10. When I try it, gdebi tells me that it "requires the installation of 76 packages" lots of i386 packages like gcc-4.6-base:i386, libath1.0-0:i386, etc. Do you have to run through all that?

    ReplyDelete
    Replies
    1. Yes, 32bit applications need a lot of 32 bit dependencies on a 64bit system in order to work properly. I took the screenshots after my first attempt to install DraftSight so I already had installed the necessary dependencies.Also you have to install manually libdirectfb-extra and ia32-libs.

      Delete
  11. Thank you Spyros. It is a relieve to be able to use Draft Sight again being early adaptor of Ubuntu 12.04 64 bit.

    Please correct me if I am wrong, in STEP 9 I think there should be a dot between control and tar (control.tar.gz instead of control tar.gz).

    ReplyDelete
  12. Hi, I've installed draftSight following you guide but omitting step 12, i.e. I've NOT installed ia32-libs and libdirectfb-extra and everything seems to work well!
    I checked with dpkg -l and I'm sure ia32-libs and libdirectfb-extra are not installed (but libdirectfb-1.2-9 is installed).
    I've a lot of i386 libs that have been installed by wine 1.5, so I guess these are enough to get in working :-)
    If needed, I can post a list of these i386 libs.
    Best regards and thank for your guide

    ReplyDelete
    Replies
    1. Wine installs all the components of ia32-libs on a 64bit system.
      ia32-libs is a meta-package that installs all the common 32bit libraries on a 64bit system. It's useless for applications that follow the new multiarch specification but necessary for packages that follow the previous standards (just like DraftSight). Libdirectfb-extra is a package that actually boosts your system's performance with 2d Graphics(PNG,JPG and Fonts). Without it DraftSight's perfomance might be slower when you work with images and fonts.

      Delete
    2. Thanks a lot for your replay, everything clear now :-)

      Delete
  13. Thank you very much!!
    It works perfect on xubuntu 12.04 64-bit
    You have a very helpful blog!
    Congrats!!!

    ReplyDelete
  14. wish the instructions were all clear I see no control folder in Step 3

    ReplyDelete
    Replies
    1. step 2 no luck either..error message!!!

      Delete
  15. Very clear tutorial thanks.

    I've carried out all the steps three times in a row but I still get a "Could not open 'draftsight.deb' error (package is either corrupted or with no sufficient permissions). I've cross-checked the permissions, but to no avail.

    Has anyone uploaded the modified .deb file somewhere I could download it from?

    Thanks

    ReplyDelete
    Replies
    1. Downloading and installing .deb files from untrusted sources is a possible security risk for your computer. That's why I prefer to post detailed instructions instead of uploading somewhere a modified version of the .deb file.
      I cannot reproduce your problem. Re-download DraftSight and try again. Be careful with steps 2,5,9

      Delete
    2. Redownloading did the trick.

      Thanks!

      Delete
    3. I had the same, there is a small type in the instructions which will get you into trouble if you copy/paste.

      ar r draftsight.deb control.tar.gz

      should be

      ar r draftSight.deb control.tar.gz

      Without the capital S it creates a new .deb file instead of writing back to the original.

      Cheers,
      Chris

      Delete
  16. dear sir,

    thank you for your kind help provided. and i have installed the draftsight V1R1.4 beta as stated above. and additionally with using wine. both are working fine. with out any sort of crash or bug.

    however, draftsight V1R2.0 is out now on may. therefore i am trying the same both procedures again. as one stated above and using wine.

    therefor, take some time to appreciate the kind helping hand provided by all the persons stated above and mainly tha narrator of this blog

    Uditha Herath
    From Sri Lanka

    ReplyDelete
    Replies
    1. draftsight V1R2.0 is working under wine flawlessly. the native deb file is to be tested on ubuntu 12.04 64bit

      Uditha Herath
      From Sri Lanka

      Delete
    2. the draftsight native deb file of V1R2.0 for ubuntu is working flawlessly on UBUNTU 12.04 64bit. and it replaces the V1R1.4 which I installed previously with the help of this blog. in both instances

      on step 5, i didnt do the same thing as told I changed the "Architecture: i386" to "Architecture: all" in the control file and proceeds with the rest of the procedures as stated above.

      please be kind to note that i am not a computer specialist or any. i am just another UBUNTU user for over 4 years with B.Sc (hons) in Quantity Surveying. whom trying to introduce linux to the construction industry

      Uditha Herath
      From Sri Lanka

      Delete
    3. BRIEF

      here i have installed the draftsight in UBUNTU 12.04 64BIT with use of several methods.

      mainly with the native DraftSight.deb V1R2.0 32BIT file implemented the changes stated above to the letter excluding the step 5 which i changed the Architecture: i386 to Architecture: all in Control file with out deleting the dependency file. (this installation replaced the draftsight.deb V1R1.4 32BIT which i installed on 64BIT ubuntu 12.04)

      then I have installed the windows version of draftSight.exe V1R2.0 with using wine and PlayOnLinux with in a virtual drive

      ultimately kept the previous version of windows version of draftSight.exe V1R1.4 in another virtual drive for backup

      therefore i am having 3 copies of draftsight installed in UBUNTU 12.04 64BIT as Native DEB file V1R2.0 and EXE file respectively in separate virtual drives using PlayOnLinux V1R1.4 and V1R2.0 runs as native app. while all are running very quickly and flawlessly with out any bug.

      ______

      Additionally, i have installed the draftsight on lubuntu 32BIT in my PenDrive/FlashDrive/Datatraveller for take it to place to place and boot it any where i am. (this is additional information for extra mobility)

      ______

      Ultimately i am grateful for/to the draftsight creators and narrator of this blog for bringing the long waited need of CAD applications to the LINUX and mainly to UBUNTU 64BIT.

      ______

      Uditha Herath
      From Sri Lanka

      Delete
    4. Final Result

      I have installed draftSight in a windows computer for a friend of mine. Windows 7 32bit. and compaired it to all my installations under UBUNTU (Native 32bit DEB file V1R2.0 under UBUNTU 12.04 is the most responsive and speed-est, after that, DraftSight V1R2.0 and V1R1.4 under WINE and PlayOnLinux with separate virtual drives works near to perfection with marginal speed difference with native DEB installation in same machine UBUNTU 12.04 64BIT) works much faster and very responsive than Windows installation done for a friend on 32bit machine. while even 32bit installation in my 4GB PenDrive/FlashDrive/DataTaveller with lubuntu installation for mobility works much faster than the windows 7.

      ____

      i am not trying to promote any more than this. please be kind to forgive me if i became more descriptive.

      _____

      thank you for all.

      Uditha Herath
      From Sri Lanka

      Delete
  17. Have just followed your tutorial on a 32bit Kubuntu 12.04LTS machine.
    Works perfectly without the ia32-libs and libdirectfb-extra.

    Thanx

    ReplyDelete
    Replies
    1. On 32bit (K)Ubuntu the only requirement is to use GDebi package installer because both Ubuntu Software Center and the QApt Package Installer fail to install DraftSight due to a package issue. (These applications don't allow the execution of the included ShowLicense script)

      Delete
  18. I have completely ignored all of the above and installed and run on Windows 7 64 bit - no problems at all :)

    ReplyDelete
  19. Excellent tutorial! Worked without any problem.

    Thanx

    ReplyDelete
  20. had to remove libglu1-mesa as well

    ReplyDelete
  21. Hi, just installed, thanks for instruction!

    ReplyDelete
  22. Hi, thanks a lot for the script,

    Thent, then installation is not ok. The error message displayed is following :

    "No protocol specified
    No protocol specified
    xhost: unable to open display ":0.0"
    No protocol specified
    No protocol specified
    xhost: unable to open display ":0.0"
    No protocol specified
    No protocol specified

    (ShowLicence:24770): Gtk-WARNING **: cannot open display: :0.0
    No protocol specified
    No protocol specified
    xhost: unable to open display ":0.0"
    No protocol specified
    No protocol specified
    xhost: unable to open display ":0.0"
    dpkg : erreur de traitement de draftSight.deb (--install) :
    le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1"

    Do you have an idea ?

    Thanks again.

    ReplyDelete
    Replies
    1. They hardcoded display number ":0.0" into the "preinst" script. You need to find out your actual display number and change the preinst script - it is located inside the control.tar.gz. This howto should help obviously with the task ;-)

      Delete
  23. This is the known problem with Ubuntu Software Center and DraftSight. Use Gdebi for the installation.
    (Gdebi is a lightweight application for the installation of stand-alone .deb files, you can find it in the Ubuntu Software Center)

    ReplyDelete
    Replies
    1. Okay, thanks.

      I ve just rebooted the computer and installed the deb with gdebi, all is fine.

      Thanks a lot !

      Delete
  24. Thanks a lot! the only explanation that works perfectly!

    ReplyDelete
  25. Muchísimas gracias por tan brillante explicación para poner a funcionar este Soft.
    Además de ameno ha sido práctico, conciso y preciso. Una joya.
    Saludos.

    ReplyDelete
  26. Thanks very much. First google hit and worked perfectly.

    ReplyDelete
  27. After a number of weeks of draftsight working, the program suddenly stops loading after the splash screen appears. Found a way round by loading from existing drawing which worked a few times only. Reinstall did not work. Drawing loads perfectly in Windows version. Anyone else experiencing this problem?

    ReplyDelete
    Replies
    1. First, make sure that you don't have any network problems.
      DraftSight V1R2 has a know problem that crashes the application with segmentation fault when a network connection isn't available.
      Then make sure that the problem isn't related with your settings.The easiest way to do that is to login as guest and try to launch DraftSight.

      Delete
    2. I loged in as guest and DraftSight worked OK. My problem is obviously related with my network settings. I`m connected via wireless, and everything else works well. Any suggesstion how to fix my network settings?

      Delete
  28. Is there any way of adding a launcher with these instructions to the launcher bar???

    /opt/dassault-systemes/draftsight/bin/draftsight -style plastique

    works really well when I use this in terminal but I really would need a launcher
    Thanks in advance

    ReplyDelete
    Replies
    1. The easiest way for this, is to edit the DraftSight's startup script.
      sudo gedit /opt/dassault-systemes/draftsight/bin/draftsight
      and then apply the changes that I described in this post
      http://linuxaideddesign.blogspot.com/2011/12/some-tweaks-for-draftsight-on-ubuntu.html

      Delete
    2. I just went into the ubuntu software center, typed in the name of the program, and dragged it's icon to the launcher bar.
      Alternately, you can execute the program and while the icon is displayed in the laucher, right-click and select "lock to launcher".

      Delete
  29. Many Thanks! for your quick answer Spyros

    ReplyDelete
  30. If you have problem only with one library libdirectfb-extra, you can use simplier method:
    sudo dpkg --force-depends -i draftSight.deb

    ReplyDelete
    Replies
    1. The --force-depends parameter isn't usable any more with newer versions of dpkg. Your system will mark the package as damaged and you will not be able to do anything with your package manager (install/uninstall packages, update/upgrade your system) if the damaged package has not been removed. With the above method you will not face similar problems.

      Delete
  31. I cannot activate the product...
    Precizely:
    i compile the activation form when I start the program, but no mails arrive...
    Does it the same with you guys???

    ReplyDelete
    Replies
    1. The email arrived almost instantly. You might want to check your spam filter.
      Even before I opened the email, the program operated. But there is a link back (in the email) that you are supposed to click on. When you do, it will send another email welcoming you to DS.

      Delete
  32. Thank you! I have tried about a dozen other "solutions" but none worked. Your post was easy to follow and worked first time. Since I already had the two lib files, it installed without any extra work.

    ReplyDelete
  33. Thank you very much, I was trying different ways to install and only until I saw your blog I was able to achieve.
    regards

    ReplyDelete
  34. ar x draftsight.deb control.tar.gz

    mkdir control

    cd control

    tar xf ../control.tar.gz

    sed -i -e 's/libdirectfb-extra (>=1.2.7-2), //' control

    tar czf ../control.tar.gz ./*

    cd ..

    ar r draftsight.deb control.tar.gz

    ReplyDelete
  35. Thanks for your efforts! Worked great for me.

    ReplyDelete
  36. Thank you, I've just finished installing Draftsight onto Xubuntu 12.04. All worked perfectly.

    ReplyDelete
  37. This works for me (Linux Mint 13 Maya 64 bit). Thank you very much!

    ReplyDelete
  38. running 12.04 Ubuntu Studio (x64)

    so far it looks like it's working okay.

    thanks for sharing the step-by-step!

    ReplyDelete
  39. Thanks for the step by step instructions - however, I can only get 64 bit DraftSight to run by typing:

    /opt/dassault-systemes/draftsight/bin/draftsight -style plastique

    in the terminal. Is there a way to make DraftSight start from the Launcher or some other convienient place? It doesn't appear in the Software Centre.... i would appreciate some help with this as I'm a newcomer to Linux

    ReplyDelete
    Replies
    1. http://linuxaideddesign.blogspot.com/2011/12/some-tweaks-for-draftsight-on-ubuntu.html

      Delete
  40. Thanks for the very rapid reply, Spyros - I have tried the solutions in the link you suggested, however DraftSight will still only start from the console as before, and does not appear in the Software Centre, nor does the DraftSight icon appear in the Launcher when the program is running.

    I must have messed up the installation in some way - any suggestions?

    ReplyDelete
    Replies
    1. On USC you can find DraftSight under the section Installed-->Unknown. The -style plastique parameter ensures that
      DraftSight doesn't conflict with buggy gtk themes. So if you use a custom gtk theme you have to make DraftSight use this parameter by default.
      If you find the editing of DraftSight's start-up script difficult you may have to use qt-config. Make sure that you saved the changes.

      Delete
    2. I don't know what is USC, but I had a similar issue.
      I solved by deleting ~/.local/share/applications/DraftSight.desktop (& DraftSight-1.desktop & dassault-systemes_draftsight.desktop). Then I searched again in the Dash Home and dragged to the Launcher.
      (also following instructions on http://linuxaideddesign.blogspot.com/2011/12/some-tweaks-for-draftsight-on-ubuntu.html). Not sure if it will work for others, just sharing my experiences.

      Worked for Ubuntu 12.04 64bit and DraftSight V1R3.

      THANK YOU VERY MUCH FOR THE EXCELLENT INSTRUCTIONS!!!

      Delete
  41. Hi Spyros - I seem to be struggling here! DraftSight doesn't appear in USC - I looked in the Installed / Uncategorized section. Perhaps it would be better to uninstall and try re-installation from the beginning?

    Thanks again for your patience and help

    ReplyDelete
    Replies
    1. Please give the output of the command:
      apt-cache policy dassault-systemes-draftsight

      Delete
  42. Hi Spyros

    Here is the output you requested:


    neil@neil-Ubuntu-System:~$ apt-cache policy dassault-systemes-draftsight
    dassault-systemes-draftsight:i386:
    Installed: 2012.7.340
    Candidate: 2012.7.340
    Version table:
    *** 2012.7.340 0
    100 /var/lib/dpkg/status
    neil@neil-Ubuntu-System:~$

    this is copy/paste directly from terminal

    thanks

    ReplyDelete
    Replies
    1. It seems that DraftSight has been correctly installed and configured on your system.
      Change your theme to Ubuntu's defaut (ambiance) and try to launch DraftSight from the Dash.

      Delete
  43. For Dedian Wheezy (and possibly *buntu) users installing on amd64, you can omit the ia32-libs packages by adding i386 as as an architecture.

    dpkg --add-architecture i386

    Then install the required i386 dependencies (ex. apt-get install libgtk2.0-0:i386)

    In addition you also need libasound2:i386 or else it will give you the "Failed to load modules" error.

    ReplyDelete
  44. Thanks a lot! D.S. works very well :)
    For the first time truly cad system works for me with my ubuntu.
    Except Rhino it was only application I used on Win.

    ReplyDelete
  45. Thank you - thank you - thank you!!

    ReplyDelete
  46. Thanks for your brief man!
    It works in Linux Mint 13 Maya, too.
    - from Korea

    ReplyDelete
  47. Work perfect in Ubuntu 12.10. Thank you

    ReplyDelete
  48. Thanks for this post, I can now use draftsight again :)

    ReplyDelete
  49. Very good. Thanks :)

    ReplyDelete
  50. Thanks for this tutorial.
    It works.

    Darko

    ReplyDelete
  51. Fantastico Manual

    Por fin consegui hacer funcionar DraftsIght con Ubuntu 64 bits.

    Muchas Gracias

    ReplyDelete
  52. Hello

    I Just installed the draftSight.deb provided from http://www.3ds.com/es/products/draftsight/download-draftsight/?fromrss=1 on LinuxMint nadia 64 bits no need to do anything.

    Just install it with gDebi it says you need to fill a lot of dependences but gDebi takes all the work done for you, as soon you install it you cannot running it because you got "failed to load modules, you need to reinstall the software". Just type in the console:

    sudo apt-get install ia32-libs

    And "ta da" You can get draftsight running without of troubles.

    I ran this other 2 commands:

    sudo apt-get install libdirectfb-extra

    sudo apt-get install libxcb-render-util0

    Actually don't see any improvement, I just do it for reliability.

    Regards

    ReplyDelete
  53. Gracias por el tutorial.

    El instalador de paquetes Gdebi no me funcionó, decidí hacer en terminal y perfecto.

    sudo dpkg -i dragtSight.deb

    (DS lo trabajaba en kubuntu y generalmente fallaba, hace pocos días me pasé a ubuntu y excelente, corre mucho mejor).

    ReplyDelete
  54. Awesome instructions. from the step by step at the top of this Page,

    Ubuntu 12.04.1 64 bit

    Opened all of my complex architectural drawings, yes, some tweaking but other wise as close to my ACAD 2007 installation as it gets.

    Fantastic job.

    Cheers
    Spart

    ReplyDelete
    Replies
    1. Forgot to add I am using GNOME 3.6

      Cheers
      Spart

      Delete
  55. i installed in ubuntu 13.04 it opens but not showing cross hair cursor , x and y axis arrow in working sheet

    ReplyDelete
    Replies
    1. Your Ubuntu system is 32 or 64 bit???
      Typically these problems are related to your graphics driver.
      Try to load DraftSight from terminal with the command:
      draftsight
      and post the output here.

      Delete
    2. its 64-bit

      here is the output

      Gtk-Message: Failed to load module "overlay-scrollbar"
      `menu_proxy_module_load': /opt/dassault-systemes/draftsight/bin/draftsight.bin: undefined symbol: menu_proxy_module_load

      (draftsight.bin:11600): Gtk-WARNING **: Failed to load type module: (null)

      `menu_proxy_module_load': /opt/dassault-systemes/draftsight/bin/draftsight.bin: undefined symbol: menu_proxy_module_load

      (draftsight.bin:11600): Gtk-WARNING **: Failed to load type module: (null)

      `menu_proxy_module_load': /opt/dassault-systemes/draftsight/bin/draftsight.bin: undefined symbol: menu_proxy_module_load

      (draftsight.bin:11600): Gtk-WARNING **: Failed to load type module: (null)

      `menu_proxy_module_load': /opt/dassault-systemes/draftsight/bin/draftsight.bin: undefined symbol: menu_proxy_module_load

      (draftsight.bin:11600): Gtk-WARNING **: Failed to load type module: (null)

      version = 13.1.56
      libGL error: failed to load driver: swrast
      libGL error: Try again with LIBGL_DEBUG=verbose for more details.
      version = 13.1.56
      libGL error: failed to load driver: swrast
      libGL error: Try again with LIBGL_DEBUG=verbose for more details.
      libGL error: failed to load driver: swrast
      libGL error: Try again with LIBGL_DEBUG=verbose for more details.
      libGL error: failed to load driver: swrast
      libGL error: Try again with LIBGL_DEBUG=verbose for more details.

      Delete
    3. Today i updated my nvidia driver to version 319.17 now draft sight not opening and shows following error

      anandharaja@anandharaja-desktop:~$ draftsight
      /opt/dassault-systemes/draftsight/bin/draftsight.bin: error while loading shared libraries: libGL.so.1: wrong ELF class: ELFCLASS64

      Delete
    4. You don't have the 32bit version of nvidia's libgl on your system, which is necessary for using DraftSight.

      Delete
    5. How to install 32bit version of nvidia libgl i downloaded driver as .rpm from nvidia site.

      Delete
    6. Do not use rpms on Ubuntu. It 's not recommended and it may cause problems.
      You have 2 options:
      -Install the newer driver via a ppa like x-swat. The easiest and safer method.
      -Nvidia's installer usually asks if you want to install the 32-bit version of libgl during the manual installation. Make sure that you answer Yes.

      Delete
    7. Yes i installed 32 bit versions during install, the libgl.so.1 fine available in usr/lib32 folder, how can i manually configure to draftsight.

      Delete
    8. ldconfig usually makes the necessary configurations automatically.
      If you have problems try the following workaround:
      -Create a new file named lib32.conf inside your /etc/ld.so.conf.d/ folder with the command:
      sudo gedit /etc/ld.so.conf.d/lib32.conf
      -Add the following lines, then save the file and close gedit:
      /usr/lib32
      /usr/lib/i386-linux-gnu/mesa
      -Then run the following command:
      sudo ldconfig

      Delete
    9. Thank You Finally working :)

      Delete
  56. Worked like a charm on Kubuntu 13.04! Thanks!

    note1: without gdebi
    note2: funny thing is, I've installed it without problems on
    ubuntu 13.04

    ReplyDelete
  57. Hi all,
    new V1R3.2 version has issue with libxcomposite1 (>= 1:0.4.0-4), but I have suitable 1:0.4.3-2build1 version.
    Should I do the same actions for this library, as Author recommended?

    ReplyDelete
    Replies
    1. V1R3.2 installed without issues with libxcomposite1 on my Ubuntu 12.04 64bit machine. Try to install it manually with the command sudo apt-get install libxcomposite1:i386

      Delete
  58. After installation of Draftsight on AMD64 laptop program crashed and report “Segmentation fault (Core dumped). After your suggestion, I logged in as guest, and DraftSight worked OK. Problem is obviously related with network settings. I'm connected via wireless, and everything else works well. Any suggestion how to fix that problem with network settings?

    ReplyDelete
    Replies
    1. Delete your ~/.config/draftsight folder and you will restore the default settings of DraftSight.

      Delete
  59. Thanks a lot, Maestro Spyros.

    Dusan

    ReplyDelete
  60. Works perfect!

    With this method the dependencies error for installing a new package or updating the system is fixed too.

    Thanks a lot,

    Raúl

    ReplyDelete
    Replies
    1. I've installed draftSight V1R3.2 on Ubuntu 12.04 64 bit using this tutorial. It runs and even appears to open dwg files successfully. The drop-down menus show the correct layers and linetypes from my drawing.

      However, the drawing area doesn't appear to update properly and doesn't show the drawing. Dialog boxes like "Open file" or "Help|About" leave traces behind when dragging and do not close properly.

      I have put some screenshots at http://www.flickr.com/photos/97219542@N07/sets/72157634854261224/

      Can anyone help please? Thanks.

      Regards,
      Eleanor

      Delete
    2. Problems of this kind probably have to do with the graphics card drivers.

      Here are some possible explanations:

      1. Make sure the 32 version of libgl1 is installed and configured properly on your system.
      2. Try to update your graphics card drivers (there might be functionalities of Draftsight that are not supported by the graphics card).
      3. Maybe your graphics card cannot support Draftsight at all.

      In order to figure out what happens and give you further assistance open the terminal and type the following commands and then post the results:

      lspci -nn | grep VGA

      glxinfo | grep renderer

      Delete
  61. This guide is awesome! Worked like a charm on Mint 13 Maya.
    Thank you for your work and the excellent explanation.

    ReplyDelete
  62. This comment has been removed by the author.

    ReplyDelete
  63. hi...Im student from Informatics engineering nice article,
    thanks for sharing :)

    ReplyDelete
  64. Great help, thanks, did try to install on Zorin OS 64-bit with 12.04 LTS with no success up till now. Used numerous links and workarounds....

    ReplyDelete
  65. Hello. My name is David Santos.
    I seem to have a similar problem to Eleanor Ellis. First I would like to say I'm a total noob on this things! I have Ubuntu 12.04 LTS 32 bits and have installed Draftsight on my computer. Everything seems to run ok but the project doesn't show. I can see the menus and click on everything but nothing on the drawing area shows. Even the cursor from the mouse desappears whenever I go over the drawing area!
    I typed lspci -nn | grep VGA on the terminal and got this:

    00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 18)
    01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Madison [Mobility Radeon HD 5650/5750 / 6530M/6550M] [1002:68c1]

    En typed glxinfo | grep renderer and first it told I didn't have some kind of pakage that I can't really recall te name (something "mesa". I made the update and now when I type glxinfo | grep renderer I get this:

    X Error of failed request: BadRequest (invalid request code or no such operation)
    Major opcode of failed request: 154 (GLX)
    Minor opcode of failed request: 19 (X_GLXQueryServerString)
    Serial number of failed request: 12
    Current serial number in output stream: 12

    I really need to put draftsight working on this computer ASAP. If anyone can help me I'd really apreciate it.
    Thanks.

    David Santos

    ReplyDelete
    Replies
    1. Try to install proprietary AMD drivers: http://wiki.cchtml.com/index.php/Ubuntu_Precise_Installation_Guide

      Delete
    2. Hi.
      Thank you very much for your quick answer. I've looked through the link you provided and there seems to be a lot of things that can go wrong. And if they do I'm sure I won't be able handle them. I really like using ubuntu but it seems like it isn't yet completely user friendly. One must be capable of solving lots of stuff. Besides this there is the problem of some software that won't completely substitute the original software available for windows or mac.
      I guess it's time to go back to slavery and install windows once again! Someday I hope to come back to the free side.
      Once again, thank you very much.

      Delete
  66. This software is not proper to install under Ubuntu 64 bits systems, how do you want users to install it this way ? We have no money and no nerves to loose this way
    We came back to QCAD pro, which is the only software giving results with our PCs.
    Lamentable.

    ReplyDelete
  67. Has anyone encountered this error message:

    Error: Dependency is not satisfiable: libcomerr2 (>= 1.41.9-1)

    I have checked and I have the latest version of libcomerr2.

    ReplyDelete
    Replies
    1. I recently upgraded to Ubuntu 12.04 LTS 64bit.

      Delete
  68. I wrote a little script that automates the instructions given here so that people not willing to patch it manually may still use it. You can find it at
    http://www.monodes.com/blog/2013/10/09/english-a-usable-draftsight-debian-package/?lang=en

    ReplyDelete
  69. Hi when I tried to install DraftSight on my 64-bit Ubuntu 12.04 machine I get the error:
    dpkg: error processing dassault-systemes-draftsight:i386 (--install):
    dependency problems - leaving unconfigured
    Errors were encountered while processing:
    Thanks,
    Phil

    ReplyDelete
  70. Works great. on Ubuntu 12.04 & Lenovo U410, thank you so much, however so far, no need for Step.12 althought. =D

    ReplyDelete
  71. Thanks a million for this great and simple tutorial !

    ReplyDelete
  72. Thank you very much from Spain.

    ReplyDelete
  73. I have a problem after instaling drafsight V1R5 on ubuntu 12.04. draft area it gray color and i cant see in it nothing. [url=http://www.freeimagehosting.net/][img]http://www.freeimagehosting.net/t/5y2cs.jpg[/img][/url]

    My computer:
    dell 5537
    graphic AMD radeon graphic
    driver for 2D: ATI/AMD proprietary FGLRX graphics driver (**experimental** beta) i have dowloaded from "additional drivers". What can i do to fix it? all step i have made.

    ReplyDelete
  74. http://www.freeimagehosting.net/t/5y2cs.jpg

    ReplyDelete
  75. hi, try installing under step 5 steps but I do not I appears in the picture. I mean I can not delete. I just occurs to me:
    Package: draftsight
    Version: 2014.1.55
    Section: non-free/graphics
    Priority: extra
    Architecture: i386
    Depends: xdg-utils, libaudio2
    Installed-Size: 281748
    Maintainer: Dassault Systemes
    Homepage: www.3ds.com
    Description: With DraftSight, you can easily create professional CAD drawings. Supported file formats are DWT, DXF and DWG.

    ReplyDelete
  76. Now managed over the old installation. (2013)

    http://www.atareao.es/descargas/scripts/

    I downloaded the script from that dratsight http://aijaa.com/zzl9WS and I did last year dratsight.64 package.
    http://aijaa.com/vYNhuO

    I removed this year, draft folder, both sight and dratsight dratsight.64 packages.
    I downloaded the new package and dratsight.deb time a new script jolloi new dratsight.64 package was launched and installed it and the program went on to work.

    http://aijaa.com/kA90PO

    As I recall from that had to be dismantled and the control box from the control file to remove the extra libdirectfb-file and re-pack your control.
    In this guide:
    http://linuxaideddesign.blogspot.fi/2012/03/draftsight-and-ubuntu-1204-lts-64bit.html

    ReplyDelete
  77. Thank you for this workaround, I followed exactly as shown plus the red text JAN 21 2014 and it worked perfectly.

    ReplyDelete
  78. I just installed DraftSight V1R5.0 on Linux Mint 13 (Maya) following the instructions in the post (including the red lines) with no problem.

    My control file content:
    Package: draftsight
    Version: 2014.1.55
    Section: non-free/graphics
    Priority: extra
    Architecture: i386
    Depends: xdg-utils, libaudio2
    Installed-Size: 281748
    Maintainer: Dassault Systemes
    Homepage: www.3ds.com
    Description: With DraftSight, you can easily create professional CAD drawings. Supported file formats are DWT, DXF and DWG.

    Just modify the 'Depends' line so that it reads:
    Depends: libaudio2

    Put the control file back into the .deb file as instructed in the post.

    Install ia32-libs and libdirectfb-extra (as instructed):
    $ sudo apt-get install ia32-libs libdirectfb-extra

    When in finish, install DraftSight:
    $ sudo gdebi draftSight.deb

    And all went fine.

    Thanks a lot, Spyros M.!

    ReplyDelete
  79. This comment has been removed by the author.

    ReplyDelete
  80. Hello!
    I installed draftsight, works perfectly, but now i have onother question. It keeps giving me ever time i run the application an option to register. I enter every time my email, but nothing is coming in my inbox to confirm registration. Could there be any solution to this?
    I'm using Ubuntu 12.04 LTS 64bit

    Best regards!

    ReplyDelete
    Replies
    1. - Make sure that you use the latest DraftSight release because older versions cannot be activated.
      - Check your spam folder, some mail services mark the activation e-mail as spam.
      - Make sure that you are not connected to the Internet through a proxy server. Activation via proxy is possible only if you configure DraftSight's options with your correct proxy settings.
      - Make sure that your e-mail address is valid.
      - Finally sometimes the activation server is busy or under maintenance so you may have to try another day.

      Delete
    2. Spyros, thanks! It turns out to be the server, response came day after, couple more of them :) i had to enter details each time i run Draftsight. Works perfectly now.
      Thanks again!

      Delete
  81. Spyros, Thank you very much for this, i finally can use DS in my ubuntu 64 bits. Greetngs from Perú.

    ReplyDelete